import { Observable } from 'rxjs';
import { QMSCKEditorBpmnTemplate } from '../common/models/qms-ckeditor-bpmn-template.model';
import { QMSCKEditorBpmn } from '../common/models/qms-ckeditor-bpmn.model';
import { QMSCKEditorBaseService } from './qms-ckeditor-base.service';
export declare class QMSCKEditorBpmnApiService extends QMSCKEditorBaseService {
    bpmnModifying(bpmn: QMSCKEditorBpmn): Observable<string>;
    getBpmnById(id: string): Observable<QMSCKEditorBpmn>;
    bpmnGetTemplates(): Observable<QMSCKEditorBpmnTemplate[]>;
    bpmnDeleteTemplate(id: string): Observable<boolean>;
}
